import { default as IConvert } from './convertInterface';
import { BorderDefine, StyleVar } from '../type';

export default class BorderConvert implements IConvert<BorderDefine> {
    private colorConvert;
    private constConvert;
    private lengthConvert;
    constructor();
    compare(v1?: BorderDefine, v2?: BorderDefine): boolean;
    toString(value?: BorderDefine, styleVarMap?: Record<string, StyleVar.Desc>): string | undefined;
    toStyle(value?: string): BorderDefine | undefined;
}
